Project

General

Profile

Bug #11142

Segmentation Fault on opening Darktable

Added by Augustin Riedinger over 3 years ago. Updated over 3 years ago.

Status:
Closed: invalid
Priority:
Low
Assignee:
-
Category:
General
Target version:
Start date:
09/08/2016
Due date:
% Done:

0%

Estimated time:
Affected Version:
2.0.5
System:
Debian
bitness:
64-bit
hardware architecture:
amd64/x86

Description

an error occurred while trying to execute gdb. please check if gdb is installed on your system.
backtrace written to /tmp/darktable_bt_SL6MNY.txt
[1]    7884 segmentation fault  /opt/darktable/bin/darktable

But backtrace not present:

tail /tmp/darktable_bt_SL6MNY.txt
tail: cannot open ‘/tmp/darktable_bt_SL6MNY.txt’ for reading: No such file or directory

The app crashed once. I can reopen it, but as soon as it loads the thumbnail of the picture I was editing it crashes again. I tried to move the associated xmp file but it won't change anything. Maybe I'm not targeting the correct picture.

I used to have the same issue with 1.4.2 and reset all my picture library + upgraded to 2.0.5 hoping the issue wouldn't arise anymore but apparently the issue is not fixed!

Cheers

History

#1 Updated by Augustin Riedinger over 3 years ago

I have found a workaround : I opened ~/.config/darktable/library.db with SQLiteBrowser, looked for the imageID and erased the history lines associated to this imageID. It now seems to work again.
Unfortunately I did not take the time to save the lines content, which might have helped in debugging. If it occurs again, I'll report!

#2 Updated by Roman Lebedev over 3 years ago

  • Status changed from New to Closed: invalid

Augustin Riedinger wrote:

[...]

But backtrace not present:

[...]

The app crashed once. I can reopen it, but as soon as it loads the thumbnail of the picture I was editing it crashes again. I tried to move the associated xmp file but it won't change anything. Maybe I'm not targeting the correct picture.

I used to have the same issue with 1.4.2 and reset all my picture library + upgraded to 2.0.5 hoping the issue wouldn't arise anymore but apparently the issue is not fixed!

Cheers

Do note:

an error occurred while trying to execute gdb.

And you need to have the debug symbols installed (for darktable, glib, gtk)

Feel free to open new issue if you manage to acquire bt.

#3 Updated by Roman Lebedev over 3 years ago

  • Target version set to 2.2.0

Also available in: Atom PDF

Go to top